# $Revision: 1.22 $, $Date: 2004/07/04 10:11:05 $
Summary:	A Tron lightcycle game with focus on multiplayer mode
Summary(pl):	Gra Tron ze wiatocyklem skupiajca si na trybie dla wielu graczy
Name:		armagetron
Version:	0.2.6.0
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	602d3f3c942e3ed06bcc2e9c7e39abf7
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://armagetron.sourceforge.net/addons/moviepack.zip
# Source3-md5:	e2d40309dde7e1339ca6aff7599cdfa3
Patch0:		%{name}-types.patch
URL:		http://armagetron.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# it installs data in %{_prefix}/games, so...
%define		_bindir		/usr/bin
%define		_prefix		/usr/%{_lib}
%define		_sysconfdir	/etc/%{name}

%description
In Armagetron, you ride a lightcycle around the game grid. You can
only make sharp turns of 90 degrees and a wall constantly builds up
after you. Make your enemies crash into your wall, but be aware that
they are trying to do the same to you. If you are fast enough, you may
be able to trap them, but the only way to speed up your lightcycle is
to drive close to the dangerous walls. Prepare for exciting strategic
preparations followed by action-packed close combat!

%description -l pl
W grze Armagetron jedzie si wiatocyklem dookoa planszy. Mona
wykonywa tylko ostre zakrty o 90 stopni, a za graczem cigle buduje
si ciana. Trzeba spowodowa, by wrogowie roztrzaskali si na tej
cianie, ale take uwaa, bo oni prbuj zrobi to samo. Jeli gracz
jest szybki, moe zapa ich wszystkich, ale jedynym sposobem na
przyspieszenie wiatocyklu jest jazda blisko niebezpiecznych cian.
Trzeba si przygotowa na ekscytujce strategiczne przygotowania i
nastpujc po nich walk w zblieniu!

%package moviepack
Summary:	Moviepack addon
Summary(pl):	Dodatek Moviepack
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}

%description moviepack
Moviepack addon.

%description moviepack -l pl
Dodatek Moviepack.

%prep
%setup -q -a3
%patch0 -p1

%{__perl} -pi -e 's@/usr/lib@/usr/%{_lib}@;s@X11R6/lib@X11R6/%{_lib}@' configure.in

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_bindir}} \
	$RPM_BUILD_ROOT%{_prefix}/games/%{name}/moviepack

%{__make} install

mv -f $RPM_BUILD_ROOT%{_prefix}/bin/* $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -R moviepack $RPM_BUILD_ROOT%{_prefix}/games/%{name}
rm -f $RPM_BUILD_ROOT%{_prefix}/games/%{name}/moviepack/art_read_me.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG doc/*.html doc/net
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.srv
%dir %{_prefix}/games/%{name}
%{_prefix}/games/%{name}/arenas
%dir %{_prefix}/games/%{name}/bin
%attr(755,root,root) %{_prefix}/games/%{name}/bin/[ap]*
%dir %{_prefix}/games/%{name}/language
%{_prefix}/games/%{name}/language/languages.txt
%{_prefix}/games/%{name}/language/english.txt
%lang(de) %{_prefix}/games/%{name}/language/deutsch.txt
%{_prefix}/games/%{name}/models
%{_prefix}/games/%{name}/sound
%{_prefix}/games/%{name}/textures
%{_desktopdir}/*
%{_pixmapsdir}/*

%files moviepack
%defattr(644,root,root,755)
%doc moviepack/art_read_me.txt
%{_prefix}/games/%{name}/moviepack

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: armagetron.spec,v $
Revision 1.22  2004/07/04 10:11:05  qboosh
- really fixed build on amd64, release 4

Revision 1.21  2004/07/04 00:52:53  havner
- fix amd64

Revision 1.20  2004/05/09 23:25:01  kolodko
- added BuildRequires:  unzip

Revision 1.19  2003/12/10 15:56:24  grzegol
- _applnkdir -> _desktopdir; rel. 3

Revision 1.18  2003/12/01 10:14:27  qboosh
- added types patch (fixes build on 64-bit archs)
- moved data dir to FHS-compliant location
- release 2

Revision 1.17  2003/11/11 01:00:41  qboosh
- caps unification

Revision 1.16  2003/10/15 11:41:58  orzech
- up to 0.2.6.0

Revision 1.15  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/16 22:41:55  grzegol
- moved -moviesounds to separate spec
- BR: ac/am

Revision 1.13  2003/08/16 22:01:17  grzegol
- moved -moviesounds to bcond (copyrights)
- rel. 3

Revision 1.12  2003/08/15 23:34:00  ankry
- description fix

Revision 1.11  2003/08/15 22:27:00  grzegol
- added moviepack and moviesounds subpackages
- added .desktop and icon
- rel. 2

Revision 1.10  2003/08/14 16:46:07  orzech
- release 1: works fine

Revision 1.9  2003/08/14 16:32:49  orzech
- up to 0.2.5.2

Revision 1.8  2003/08/10 13:39:02  deejay1
- updated to 0.2.5.1

Revision 1.6  2003/08/05 06:57:55  orzech
- up to 2.5.1

Revision 1.5  2003/08/02 17:27:22  qboosh
- pl

Revision 1.4  2003/07/25 09:18:33  orzech
- up to 0.2.5

Revision 1.3  2003/07/12 16:06:47  orzech
- up to 0.2.4

Revision 1.2  2003/07/06 19:43:22  orzech
- bz2 source
- summary, desc
- fixes in file list
TODO: fix ac stuff

Revision 1.1  2003/07/06 18:33:07  orzech
- new, not finished
